summary refs log tree commit diff
path: root/bin/cash/Makefile
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-01-15 23:32:49 -0500
committerJune McEnroe <june@causal.agency>2019-01-15 23:32:49 -0500
commitedbedc000dfc1e51de2cb7e3d7d3e8113ab57411 (patch)
treeb9bbf7eced8243fd15b59a06e3130a4c34485330 /bin/cash/Makefile
parentUse \$ in cash PS1 and add # to RPS1 (diff)
downloadsrc-edbedc000dfc1e51de2cb7e3d7d3e8113ab57411.tar.gz
src-edbedc000dfc1e51de2cb7e3d7d3e8113ab57411.zip
Add shell and unshell targets
Diffstat (limited to '')
-rw-r--r--bin/cash/Makefile9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/cash/Makefile b/bin/cash/Makefile
index 4a9ec599..5dd4e726 100644
--- a/bin/cash/Makefile
+++ b/bin/cash/Makefile
@@ -76,12 +76,19 @@ clean:
 	rm -f cash $(OBJS) mknodes mksyntax $(GENSRCS) $(GENHDRS) tags .depend
 
 install: cash $(MAN1)
-	mkdir -p $(PREFIX)/bin $(MANDIR)/man1
+	install -d $(PREFIX)/bin $(MANDIR)/man1
 	install cash $(PREFIX)/bin
 	install -m 644 $(MAN1) $(MANDIR)/man1
 
 uninstall:
 	rm -f $(PREFIX)/bin/cash $(MAN1:%=$(MANDIR)/man1/%)
 
+shell:
+	grep -q '^$(PREFIX)/bin/cash$$' /etc/shells \
+		|| echo '$(PREFIX)/bin/cash' >> /etc/shells
+
+unshell:
+	sed -i sed '\;^$(PREFIX)/bin/cash$$;d' /etc/shells
+
 README: cash.7
 	mandoc cash.7 | col -bx > README